package ru.dbotthepony.mc.otm.menu.decorative

import net.minecraft.world.entity.player.Inventory
import net.minecraft.world.inventory.Slot
import ru.dbotthepony.mc.otm.block.entity.decorative.HoloSignBlockEntity
import ru.dbotthepony.mc.otm.menu.MatteryMenu
import ru.dbotthepony.mc.otm.menu.input.NetworkedStringInput
import ru.dbotthepony.mc.otm.registry.MMenus

class HoloSignMenu @JvmOverloads constructor(
	containerId: Int,
	inventory: Inventory,
	tile: HoloSignBlockEntity? = null
) : MatteryMenu(MMenus.HOLO_SIGN, containerId, inventory, tile) {
	val text = if (tile != null) NetworkedStringInput(this, tile::text) else NetworkedStringInput(this)

	override val storageSlots: Collection<Slot>
		get() = listOf()
}
